Bug 463842 - [LTC 6.0 FEAT] 201227:NFS over RDMA support
[LTC 6.0 FEAT] 201227:NFS over RDMA support
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.0
All All
medium Severity medium
: alpha
: 6.1
Assigned To: Doug Ledford
yanfu,wang
: FutureFeature, TestOnly
Depends On:
Blocks: 534150 356741 554559
  Show dependency treegraph
 
Reported: 2008-09-24 16:50 EDT by IBM Bug Proxy
Modified: 2011-05-23 16:18 EDT (History)
13 users (show)

See Also:
Fixed In Version: kernel-2.6.32
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-23 16:18:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description IBM Bug Proxy 2008-09-24 16:50:56 EDT
=Comment: #0=================================================
Emily J. Ratliff <emilyr@us.ibm.com> - 2008-09-24 13:52 EDT
1. Feature Overview:
Feature Id:	[201227]
a. Name of Feature:	NFS over RDMA support
b. Feature Description
Remote Direct Memory Access (RDMA) allows data to move directly from the memory of one computer into
that of another without involving either one's operating system.  This permits high throughput,
low-latency networking, which is especially useful in massively parallel computer clusters.  NFS
over RDMA improves efficiency of write path, lowers CPU usage.

Additional Comments:	Final bits made it into 2.6.25 kernel, so using that as actual code completion
date.

2. Feature Details:
Sponsor:	LTC
Architectures:
x86
x86_64
ppc64

Arch Specificity: Purely Common Code
Affects Kernel Modules: Yes
Delivery Mechanism: Direct from community
Category:	Networking
Request Type:	Kernel - Enhancement from Upstream
d. Upstream Acceptance:	Accepted
Sponsor Priority	2
f. Severity: Medium
IBM Confidential:	no
Code Contribution:	3rd party code
g. Component Version Target:	Kernel and nfs-utils package

3. Business Case
Some key customers are requesting to have NFS over RDMA (over iWARP/RDMA  enabled Ethernet NICs)
supported to address the performance bottlenecks seen in their data center environments. This is one
of the enablers to fill-in the large 10G pipes deployed in data centers.

Benefits
NFS over RDMA offers significant performance improvements with less CPU utilizations.

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Sarah Wright, sarahw@us.ibm.com, 503-578-5145

Technical contact(s):
Frank Filz, ffilz@us.ibm.com

IBM Manager:
Jeffrey Heroux, heroux@us.ibm.com
Comment 1 Bill Nottingham 2008-10-03 13:41:50 EDT
RHEL 6 will include at least a 2.6.25 kernel, and nfs-utils-1.1.3, so this should not be a problem.

The feature requested has already been accepted into the upstream code base
planned for the next major release of Red Hat Enterprise Linux.

When the next milestone release of Red Hat Enterprise Linux 6 is available,
please verify that the feature requested is present and functioning as
desired.
Comment 2 IBM Bug Proxy 2009-11-18 08:30:55 EST
Since this is already accepted by Red Hat, moving to Accepted here
Comment 4 IBM Bug Proxy 2010-06-09 01:50:40 EDT
------- Comment From iranna.ankad@in.ibm.com 2010-06-09 01:47 EDT-------
An update from SystemX Distro Test team:

We are still unable to verify NFS over RDMA feature on X, blocked by below bug.
Waiting for the resolution of this blocker.

Bug 64126   -  RIT983903- [Infiniband]NFS over RDMA is not happening on RHEL6.

Thanks!
Comment 5 Russell Doty 2010-09-23 15:09:00 EDT
Based on comment 4, this bug is currently unverifiable.
Comment 8 Doug Ledford 2010-11-06 17:39:42 EDT
This appears to have been fixed by the bug mentioned in comment #4 (although the link is wrong so I don't know which bug it's really referring to).  Can IBM verify that this is working with the GA release?
Comment 9 Ben Woodard 2011-03-11 15:56:21 EST
Sandia might be interested in this for their RedSky cluster.
Comment 12 yanfu,wang 2011-04-07 22:44:34 EDT
verify this function when test bug 631012, pls go there to see detail comments.
Comment 13 errata-xmlrpc 2011-05-23 16:18:32 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0542.html

Note You need to log in before you can comment on or make changes to this bug.